## ibus-qt 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,21 +10,22 @@
 set(AUTHORS "Peng Huang")
 set(MAINTAINER "Peng Huang <shawn.p.huang at gmail dot com>")
 set(VERSION_MAJOR "1")
-set(VERSION_MINOR "2")
+set(VERSION_MINOR "3")
 set(VERSION_PATCH "0")
-set(VERSION_SNAPDATE "20091217")
-set(LIB_VERSION "1.2.0")
+set(VERSION_SNAPDATE "")
+set(LIB_VERSION "1.3.0")
 set(LIB_SOVERSION "1")
 
 # ======
 # CPack configure
 set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
 set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
-if(NOT DEFINED VERSION_SNAPDATE)
+if((NOT DEFINED VERSION_SNAPDATE) OR (VERSION_SNAPDATE STREQUAL ""))
     set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
-else(NOT DEFINED VERSION_SNAPDATE)
+else((NOT DEFINED VERSION_SNAPDATE) OR (VERSION_SNAPDATE STREQUAL ""))
     set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH}.${VERSION_SNAPDATE})
-endif(NOT DEFINED  VERSION_SNAPDATE)
+endif((NOT DEFINED VERSION_SNAPDATE) OR (VERSION_SNAPDATE STREQUAL ""))
+
 set(CPACK_SET_DESTDIR "ON")
 set(CPACK_INSTALL_PREFIX "/usr")
 set(CPACK_GENERATOR "TGZ")
