## ibus-qt 1.3.0-0maemo1

=== debian/changelog ===
ibus-qt (1.3.0-0maemo1) unstable; urgency=low

  * Initial release 

 -- Takahiro Hashimoto <kenya888@gmail.com>  Mon, 31 May 2010 02:40:34 +0900
