=== debian/control ===
Source: ibus-qt
Section: utilities
Priority: optional
Maintainer: Takahiro Hashimoto <kenya888@gmail.com>
Build-Depends: debhelper (>= 5), ibus-dev, cmake, libqt4-dev, libx11-dev, libxext-dev, libxrandr-dev, libicu-dev, libpng12-dev, libxau-dev, libxrender-dev, libice-dev, libsm-dev, libexpat1-dev, libdbus-1-dev
Standards-Version: 3.7.2

Package: ibus-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus, libqt4-core, libqt4-xml, libqt4-dbus, libqt4-gui, libicu42, libpng12-0
Description: ibus Qt plugin

#Package: ibus-qt-doc
#Architecture: all
#Description: Documentation for ibus-qt
