## ibus-qt 1.3.0-0maemo2

=== debian/changelog ===
ibus-qt (1.3.0-0maemo2) unstable; urgency=low

  * fix ibus-qt.install file

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 1 Jun 2010 11:52:00 +0900
