## ibus-qt 1.3.0-0maemo3

=== debian/changelog ===
ibus-qt (1.3.0-0maemo3) unstable; urgency=low

  * fix rule file and control file to be shown by App.mgr

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 1 Jun 2010 11:52:00 +0900
