=== debian/rules ===
--- 
+++ 
@@ -89,10 +89,9 @@
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+	#ln -s $(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib/libibus-qt.so.1.3.0 $(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib/libibus-qt.so.1
 
 	dh_install --sourcedir=$(CURDIR)/debian/tmp -s
-
-	# ln -s $(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib/libibus-qt.so.1.3.0 $(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib/libibus-qt.so.1
 # Must not depend on anything. This is to be called by
 # binary-arch/binary-indep
 # in another 'make' thread.
@@ -120,7 +119,8 @@
 #	dh_perl
 	dh_makeshlibs
 	dh_installdeb
-	LD_LIBRARY_PATH=$(CURDIR)/debian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib:/opt/maemocjk2/usr/lib:/usr/lib dh_shlibdeps
+#	dh_shlibdeps -a -ldebian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib -Llibibus-qt -ldebian/ibus-qt/usr/lib/qt4/plugins/inputmethods -Llibqtim-ibus
+	LD_LIBRARY_PATH=$(MAEMOCJK_PREFIX)/usr/lib dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
