## ibus-qt 1.3.0-1maemo1

=== debian/changelog ===
ibus-qt (1.3.0-1maemo1) unstable; urgency=low

  * change install path and apply maemo-optify

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 1 Jun 2010 11:52:00 +0900
