## ibus-qt 1.3.0-1maemo2

=== debian/changelog ===
ibus-qt (1.3.0-1maemo2) unstable; urgency=low

  * just version bumped for auto builder test.

 -- Takahiro Hashimoto <kenya888@gmail.com>  Tue, 4 Jun 2010 17:16:00 +0900
