=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Standards-Version: 3.7.2
 
 Package: ibus-qt
+Section: user/utilities
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ibus, libqt4-core, libqt4-xml, libqt4-dbus, libqt4-gui, libicu42, libpng12-0
 Description: ibus Qt plugin
