=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 CFLAGS = -Wall -g
 
-export MAEMOCJK_PREFIX=/opt/maemocjk2
+#export MAEMOCJK_PREFIX=/opt/maemocjk2
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -33,7 +33,7 @@
 	dh_testdir
 	# Add here commands to configure the package.
 
-	$(CMAKE) . -DCMAKE_INSTALL_PREFIX=$(MAEMOCJK_PREFIX)/usr
+	$(CMAKE) . -DCMAKE_INSTALL_PREFIX=/usr
 
 	touch configure-stamp
 
@@ -45,7 +45,7 @@
 
 	# Add here commands to compile the arch part of the package.
 
-	$(CMAKE) . -DCMAKE_INSTALL_PREFIX=$(MAEMOCJK_PREFIX)/usr
+	$(CMAKE) . -DCMAKE_INSTALL_PREFIX=/usr
 	$(MAKE) 
 	touch $@
 
@@ -96,11 +96,45 @@
 # binary-arch/binary-indep
 # in another 'make' thread.
 binary-common:
+# Build architecture independant packages using the common target.
+binary-indep: 
+#binary-indep: build-indep install-indep
+	#$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
+#	dh_testdir
+#	dh_testroot
+#	dh_installchangelogs 
+#	dh_installdocs
+#	dh_installexamples
+#	dh_installmenu
+#	dh_installdebconf	
+#	dh_installlogrotate	
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_python
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
+#	dh_installman
+#	dh_link
+#	dh_strip
+#	dh_compress 
+#	dh_fixperms
+#	dh_perl
+#	dh_makeshlibs
+#	dh_installdeb
+#	dh_shlibdeps
+#	dh_gencontrol
+#	dh_md5sums
+#	dh_builddeb
+# Build architecture dependant packages using the common target.
+binary-arch: build-arch install-arch
+	#$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-	dh_installdocs
-	dh_installexamples
+	#dh_installdocs
+	#dh_installexamples
 #	dh_installmenu
 #	dh_installdebconf	
 #	dh_installlogrotate	
@@ -119,18 +153,11 @@
 #	dh_perl
 	dh_makeshlibs
 	dh_installdeb
-#	dh_shlibdeps -a -ldebian/ibus-qt/$(MAEMOCJK_PREFIX)/usr/lib -Llibibus-qt -ldebian/ibus-qt/usr/lib/qt4/plugins/inputmethods -Llibqtim-ibus
-	LD_LIBRARY_PATH=$(MAEMOCJK_PREFIX)/usr/lib dh_shlibdeps
+	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb
-# Build architecture independant packages using the common target.
-binary-indep: build-indep install-indep
-	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
-
-# Build architecture dependant packages using the common target.
-binary-arch: build-arch install-arch
-	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common
 
 binary: binary-arch binary-indep
 .PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure
