## ibus-qt 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 set(MAINTAINER "Peng Huang <shawn.p.huang at gmail dot com>")
 set(VERSION_MAJOR "1")
 set(VERSION_MINOR "3")
-set(VERSION_PATCH "0")
+set(VERSION_PATCH "1")
 set(VERSION_SNAPDATE "")
 set(LIB_VERSION "1.3.0")
 set(LIB_SOVERSION "1")
@@ -20,11 +20,11 @@
 # CPack configure
 set(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
 set(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
-if((NOT DEFINED VERSION_SNAPDATE) OR (VERSION_SNAPDATE STREQUAL ""))
+if(NOT VERSION_SNAPDATE)
     set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})
-else((NOT DEFINED VERSION_SNAPDATE) OR (VERSION_SNAPDATE STREQUAL ""))
+else(NOT VERSION_SNAPDATE)
     set(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH}.${VERSION_SNAPDATE})
-endif((NOT DEFINED VERSION_SNAPDATE) OR (VERSION_SNAPDATE STREQUAL ""))
+endif(NOT VERSION_SNAPDATE)
 
 set(CPACK_SET_DESTDIR "ON")
 set(CPACK_INSTALL_PREFIX "/usr")
@@ -67,35 +67,35 @@
 find_package(X11 REQUIRED)
 
 # check qt
-find_package(Qt4 4.5 COMPONENTS QtCore QtGui QtDBus REQUIRED)
+find_package(Qt4 4.5 COMPONENTS QtCore QtGui QtDBus QtXml REQUIRED)
 include(${QT_USE_FILE})
 
 # check dbus
 find_package(PkgConfig REQUIRED)
 find_package(ICU REQUIRED)
 pkg_check_modules(DBUS REQUIRED dbus-1)
-# pkg_check_modules(IBUS REQUIRED ibus-1.0>=1.2.0)
+pkg_check_modules(IBUS REQUIRED ibus-1.0>=1.3.7)
 
 # check doxygen
 find_package(Doxygen REQUIRED)
 
 # =====
 # Define variables
-if(NOT DEFINED LIBDIR)
+if(NOT LIBDIR)
     if( $ENV{MACHTYPE} MATCHES "64")
         set(LIBDIR lib64)
     else()
         set(LIBDIR lib)
     endif()
-endif(NOT DEFINED LIBDIR)
+endif(NOT LIBDIR)
 
-if(NOT DEFINED DOCDIR)
+if(NOT DOCDIR)
     set(DOCDIR "share/doc/ibus-qt-${CPACK_PACKAGE_VERSION}")
-endif(NOT DEFINED DOCDIR)
+endif(NOT DOCDIR)
 
-if(NOT DEFINED MANDIR)
+if(NOT MANDIR)
     set(MANDIR "share/man")
-endif(NOT DEFINED MANDIR)
+endif(NOT MANDIR)
 
 # =====
 # install
