=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,10 +25,19 @@
     qibusinputcontextproxy.cpp
     qibusbus.cpp
     qibusinputcontext.cpp
+    qibusobservedpath.cpp
+    qibusengineadaptor.cpp
+    qibusengine.cpp
+    qibusfactoryadaptor.cpp
+    qibusenginefactory.cpp
+    qibusconfigadaptor.cpp
+    qibusconfigproxy.cpp
+    qibusconfigservice.cpp
+    qibusconfig.cpp
 )
 
 set(
-    ibus_qt_MOC_HDRS
+    ibus_qt_HDRS
     qibusobject.h
     qibusserializable.h
     qibusattribute.h
@@ -44,6 +53,15 @@
     qibusinputcontextproxy.h
     qibusbus.h
     qibusinputcontext.h
+    qibusobservedpath.h
+    qibusengineadaptor.h
+    qibusengine.h
+    qibusfactoryadaptor.h
+    qibusenginefactory.h
+    qibusconfigadaptor.h
+    qibusconfigproxy.h
+    qibusconfigservice.h
+    qibusconfig.h
 )
 
 # QT4_ADD_DBUS_INTERFACE(
@@ -55,7 +73,7 @@
 # QT4_AUTOMOC(${ibus_qt_SRCS})
 QT4_WRAP_CPP(
     ibus_qt_MOC_SRCS
-    ${ibus_qt_MOC_HDRS}
+    ${ibus_qt_HDRS}
 )
 
 add_library(
@@ -65,27 +83,37 @@
     ${ibus_qt_MOC_SRCS}
 )
 
+set_target_properties(
+    ibus-qt PROPERTIES
+    VERSION ${LIB_VERSION}
+    SOVERSION ${LIB_SOVERSION}
+)
+
 target_link_libraries(
     ibus-qt
     debug ${QT_QTCORE_LIBRARY_DEBUG}
     debug ${QT_QTDBUS_LIBRARY_DEBUG}
+    debug ${QT_QTXML_LIBRARY_DEBUG}
     optimized ${QT_QTCORE_LIBRARY_RELEASE}
     optimized ${QT_QTDBUS_LIBRARY_RELEASE}
+    optimized ${QT_QTXML_LIBRARY_RELEASE}
     ${DBUS_LIBRARIES}
 )
 
 install(TARGETS ibus-qt
     LIBRARY DESTINATION ${LIBDIR})
+install(FILES ${ibus_qt_HDRS}
+    DESTINATION include/ibus-qt COMPONENT Devel)
 
-# add_executable(
-#     ibus-test
-#     ibus.cpp
-# )
+add_executable(
+    ibus-test
+    ibus.cpp
+)
 
-# target_link_libraries(
-#     ibus-test
-#     ibus-qt
-# )
+target_link_libraries(
+    ibus-test
+    ibus-qt
+)
 
 # install(TARGETS ibus-test
 #     RUNTIME DESTINATION bin)
