=== debian/changelog ===
ibus-qt (1.3.1-1ubuntu1) natty; urgency=low

  * Set -DCMAKE_CXX_FLAGS="-DQT_NO_DEBUG_OUTPUT -DQT_NO_WARNING_OUTPUT"
    to stop annoying debug output for every application

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 14 Feb 2011 13:51:10 +0000

ibus-qt (1.3.1-1build1) natty; urgency=low

  * No-change rebuild against current libicu44.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 12 Dec 2010 20:51:24 +0100

ibus-qt (1.3.1-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/control:
    - set maintainer to pkg-ime, add LI Daobing <lidaobing@debian.org> 
      & Asias He <asias.hejun@gmail.com> to uploaders.
    - update Vcs-* fields.
    - bump standards version to 3.9.1.
  * removed debian/patches/binutils-gold.
  * debian/watch: moved to googlecode.debian.net 

  [ LI Daobing ]
  * debian/watch: updated. 

 -- LI Daobing <lidaobing@debian.org>  Sat, 21 Aug 2010 22:42:36 +0800
