=== debian/watch ===
version=3
http://googlecode.debian.net/p/ibus/ibus-qt-(\d+.*)-Source\.tar\.gz
